Bug 232041 - Crash with evidence of heap corruption when changing dynamic playlists
Summary: Crash with evidence of heap corruption when changing dynamic playlists
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 235489 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-03-24 22:18 UTC by Pétur Runólfsson
Modified: 2010-09-23 21:53 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pétur Runólfsson 2010-03-24 22:18:03 UTC
Application: amarok (2.3.0)
KDE Platform Version: 4.4.1 (KDE 4.4.1)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-17-generic x86_64
Distribution: Ubuntu lucid (development branch)

-- Information about the crash:
This crash came while saving a dynamic playlist. Previously a lot of dynamic playlist settings had been changed with playlists added and settings changed.

The crash can be reproduced some of the time.

 -- Backtrace:
Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0x7f24e0889820 (LWP 8702))]

Thread 19 (Thread 0x7f24c83c7710 (LWP 8703)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f24cdeb1081 in metronom_sync_loop (this=0x17985b0) at metronom.c:851
#2  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f24c6840710 (LWP 8704)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f24dd7343ac in _L_lock_12430 () from /lib/libc.so.6
#2  0x00007f24dd732e48 in *__GI___libc_free (mem=0x7f24dda32e40) at malloc.c:3736
#3  0x00007f24de0dfef6 in QObjectPrivate::cleanConnectionLists (this=0x171ad40) at kernel/qobject.cpp:380
#4  0x00007f24de0e16f5 in QMetaObjectPrivate::connect (sender=0x1717c48, signal_index=4, receiver=0x7f24a80a20c8, method_index=4, type=<value optimized out>, types=<value optimized out>)
    at kernel/qobject.cpp:2934
#5  0x00007f24de0e1c99 in QObject::connect (sender=0x1717c48, signal=<value optimized out>, receiver=0x7f24a80a20c8, method=<value optimized out>, type=55131728) at kernel/qobject.cpp:2607
#6  0x00007f24de071f91 in QDeviceClosedNotifier::setupDevice (this=0x7f24a80a0ee0, device=0x1717c48) at io/qtextstream.cpp:333
#7  QTextStream (this=0x7f24a80a0ee0, device=0x1717c48) at io/qtextstream.cpp:1028
#8  0x00007f24ce1198b6 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x00007f24dea4922c in QApplicationPrivate::notify_helper (this=0x1627070, receiver=0x17b54a0, e=0x7f24a8074660) at kernel/qapplication.cpp:4300
#10 0x00007f24dea4f6fb in QApplication::notify (this=0x7fff673deaf0, receiver=0x17b54a0, e=0x7f24a8074660) at kernel/qapplication.cpp:4183
#11 0x00007f24dfaaf37a in App::notify (this=0x7f24dda32e40, receiver=0x80, event=0x0) at ../../src/App.cpp:927
#12 0x00007f24de0cfffc in QCoreApplication::notifyInternal (this=0x7fff673deaf0, receiver=0x17b54a0, event=0x7f24a8074660) at kernel/qcoreapplication.cpp:704
#13 0x00007f24de0d2777 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x17b3780) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#14 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x17b3780) at kernel/qcoreapplication.cpp:1345
#15 0x00007f24de0f9963 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#16 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#17 0x00007f24d6c6a972 in g_main_dispatch (context=0x17b3c80) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:1960
#18 IA__g_main_context_dispatch (context=0x17b3c80) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2513
#19 0x00007f24d6c6e7f8 in g_main_context_iterate (context=0x17b3c80, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2591
#20 0x00007f24d6c6e9ac in IA__g_main_context_iteration (context=0x17b3c80, may_block=1) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2654
#21 0x00007f24de0f94f6 in QEventDispatcherGlib::processEvents (this=0x16e0d50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#22 0x00007f24de0ce922 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#23 0x00007f24de0cecfc in QEventLoop::exec (this=0x7f24c683fcd0, flags=) at kernel/qeventloop.cpp:201
#24 0x00007f24ddfd8d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#25 0x00007f24ce10d570 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#26 0x00007f24ddfdb775 in QThreadPrivate::start (arg=0x17a34e0) at thread/qthread_unix.cpp:248
#27 0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#28 0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#29 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f24c5e35710 (LWP 8707)):
#0  0x00007f24dd78ef93 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f24c5e3a915 in my_snd_mixer_wait (data=<value optimized out>) at audio_alsa_out.c:150
#2  ao_alsa_handle_event_thread (data=<value optimized out>) at audio_alsa_out.c:166
#3  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f24c5634710 (LWP 8708)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24cdec1e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f24c4a28710 (LWP 8709)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24cdec1e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f24c4227710 (LWP 8710)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24cdec1e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f24c3a26710 (LWP 8711)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24cdec1e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f24c2098710 (LWP 8713)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f24dd7343ac in _L_lock_12430 () from /lib/libc.so.6
#2  0x00007f24dd732e48 in *__GI___libc_free (mem=0x7f24dda32e40) at malloc.c:3736
#3  0x00007f24de0f9911 in socketNotifierSourceCheck (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007f24d6c6dbba in IA__g_main_context_check (context=0x28e77a0, max_priority=2147483647, fds=<value optimized out>, n_fds=-1) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2469
#5  0x00007f24d6c6e573 in g_main_context_iterate (context=0x28e77a0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2588
#6  0x00007f24d6c6e9ac in IA__g_main_context_iteration (context=0x28e77a0, may_block=1) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2654
#7  0x00007f24de0f94a3 in QEventDispatcherGlib::processEvents (this=0x296e810, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#8  0x00007f24de0ce922 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#9  0x00007f24de0cecfc in QEventLoop::exec (this=0x7f24c2097cf0, flags=) at kernel/qeventloop.cpp:201
#10 0x00007f24ddfd8d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#11 0x00007f24de0af118 in QInotifyFileSystemWatcherEngine::run (this=0x295ded0) at io/qfilesystemwatcher_inotify.cpp:248
#12 0x00007f24ddfdb775 in QThreadPrivate::start (arg=0x295ded0) at thread/qthread_unix.cpp:248
#13 0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#14 0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f24b78d3710 (LWP 8714)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24ddfdc72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f24da631026 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2aed070, th=0x2aee2e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f24da6336ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2aee2e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f24da6336c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2aee2e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f24da6336c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2aee2e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f24da6336c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2aee2e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f24da631bff in ThreadWeaver::ThreadRunHelper::run (this=0x7f24b78d2d40, parent=0x2aed070, th=0x2aee2e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f24da632168 in ThreadWeaver::Thread::run (this=0x2aee2e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f24ddfdb775 in QThreadPrivate::start (arg=0x2aee2e0) at thread/qthread_unix.cpp:248
#11 0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f24b70d2710 (LWP 8715)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24ddfdc72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f24da631026 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2aed070, th=0x2aefb60) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f24da6336ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2aefb60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f24da6336c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2aefb60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f24da6336c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2aefb60) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f24da631bff in ThreadWeaver::ThreadRunHelper::run (this=0x7f24b70d1d40, parent=0x2aed070, th=0x2aefb60) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f24da632168 in ThreadWeaver::Thread::run (this=0x2aefb60) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f24ddfdb775 in QThreadPrivate::start (arg=0x2aefb60) at thread/qthread_unix.cpp:248
#10 0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f24b2d38710 (LWP 8717)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24ddfdc72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f24da631026 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2aed070, th=0x1616250) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f24da6336ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x1616250) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f24da6336c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x1616250) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f24da631bff in ThreadWeaver::ThreadRunHelper::run (this=0x7f24b2d37d40, parent=0x2aed070, th=0x1616250) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f24da632168 in ThreadWeaver::Thread::run (this=0x1616250) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f24ddfdb775 in QThreadPrivate::start (arg=0x1616250) at thread/qthread_unix.cpp:248
#9  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f24b2537710 (LWP 8718)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24ddfdc72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2aedeb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f24da631026 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2aed070, th=0x2c4b270) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f24da6336ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x2aecc40, th=0x2c4b270) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f24da631bff in ThreadWeaver::ThreadRunHelper::run (this=0x7f24b2536d40, parent=0x2aed070, th=0x2c4b270) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f24da632168 in ThreadWeaver::Thread::run (this=0x2c4b270) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f24ddfdb775 in QThreadPrivate::start (arg=0x2c4b270) at thread/qthread_unix.cpp:248
#8  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f24b1d36710 (LWP 8720)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f24dd7343ac in _L_lock_12430 () from /lib/libc.so.6
#2  0x00007f24dd732e48 in *__GI___libc_free (mem=0x7f24dda32e40) at malloc.c:3736
#3  0x00007f24d6c6a26a in g_source_unref_internal (source=0x2e3bc20, context=0x2eba810, have_lock=0) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:1339
#4  0x00007f24de0f9fa3 in ~QEventDispatcherGlib (this=0x2f2a0d0, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:366
#5  0x00007f24ddfdb364 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:284
#6  0x00007f24ddfdb77d in ~__pthread_cleanup_class (arg=0x7f24de3e3f20) at /usr/include/pthread.h:535
#7  QThreadPrivate::start (arg=0x7f24de3e3f20) at thread/qthread_unix.cpp:253
#8  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f24acff7710 (LWP 8722)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24d9e9c2a6 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f24da17a220) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007f24d9e9c2e9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f24da1882ec) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f249d030710 (LWP 8731)):
#0  0x00007f24dd793ff3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f24cdeda2c5 in xine_usec_sleep (usec=<value optimized out>) at utils.c:481
#2  0x00007f24cdebec99 in video_out_loop (this_gen=<value optimized out>) at video_out.c:1246
#3  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f249c446710 (LWP 8732)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24cdeb493b in fifo_buffer_get (fifo=0x3992860) at buffer.c:230
#2  0x00007f24cdeba9dd in video_decoder_loop (stream_gen=<value optimized out>) at video_decoder.c:130
#3  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f249bc45710 (LWP 8733)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24cdeb493b in fifo_buffer_get (fifo=0x3939890) at buffer.c:230
#2  0x00007f24cdebba15 in audio_decoder_loop (stream_gen=<value optimized out>) at audio_decoder.c:66
#3  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f249b444710 (LWP 8734)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f24cdec4f6b in xine_event_wait (queue_gen=<value optimized out>) at events.c:56
#2  listener_loop (queue_gen=<value optimized out>) at events.c:214
#3  0x00007f24dbbe69ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f24dd79b6dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f24e0889820 (LWP 8702)):
[KCrash Handler]
#5  0x00007f24dd6e8a75 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007f24dd6ec5c0 in *__GI_abort () at abort.c:92
#7  0x00007f24dd7224fb in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#8  0x00007f24dd72c5b6 in malloc_printerr (action=3, str=0x7f24dd7fe858 "malloc(): smallbin double linked list corrupted", ptr=<value optimized out>) at malloc.c:6264
#9  0x00007f24dd7308e9 in _int_malloc (av=0x7f24dda32e40, bytes=16) at malloc.c:4306
#10 0x00007f24dd73158e in *__GI___libc_malloc (bytes=16) at malloc.c:3660
#11 0x00007f24ddd1923d in operator new(unsigned long) () from /usr/lib/libstdc++.so.6
#12 0x00007f24cfe26ad4 in GenericData (this=0x2b55b00, parent=<value optimized out>, target=0x31a6890, duration=150) at ../../../kstyles/oxygen/animations/oxygengenericdata.cpp:37
#13 0x00007f24cfe37430 in WidgetStateData (this=0x16b4770, widget=0x31a6890, mode=<value optimized out>) at ../../../kstyles/oxygen/animations/oxygenwidgetstatedata.h:45
#14 Oxygen::WidgetStateEngine::registerWidget (this=0x16b4770, widget=0x31a6890, mode=<value optimized out>) at ../../../kstyles/oxygen/animations/oxygenwidgetstateengine.cpp:43
#15 0x00007f24cfe247e3 in Oxygen::Animations::registerWidget (this=0x16b5710, widget=0x31a6890) at ../../../kstyles/oxygen/animations/oxygenanimations.cpp:105
#16 0x00007f24cfe56842 in OxygenStyle::polish (this=0x16aaef0, widget=0x21fe) at ../../../kstyles/oxygen/oxygen.cpp:3682
#17 0x00007f24dea9f7b2 in QWidget::event (this=0x31a6890, event=<value optimized out>) at kernel/qwidget.cpp:8084
#18 0x00007f24dea4922c in QApplicationPrivate::notify_helper (this=0x1627070, receiver=0x31a6890, e=0x7fff673dc1a0) at kernel/qapplication.cpp:4300
#19 0x00007f24dea4f6fb in QApplication::notify (this=0x7fff673deaf0, receiver=0x31a6890, e=0x7fff673dc1a0) at kernel/qapplication.cpp:4183
#20 0x00007f24dfaaf37a in App::notify (this=0x21fe, receiver=0x21fe, event=0x6) at ../../src/App.cpp:927
#21 0x00007f24de0cfffc in QCoreApplication::notifyInternal (this=0x7fff673deaf0, receiver=0x31a6890, event=0x7fff673dc1a0) at kernel/qcoreapplication.cpp:704
#22 0x00007f24dea94f01 in QCoreApplication::sendEvent (this=0x31a6890) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#23 QWidget::ensurePolished (this=0x31a6890) at kernel/qwidget.cpp:9329
#24 0x00007f24dea94f57 in QWidget::ensurePolished (this=0x33caf90) at kernel/qwidget.cpp:9338
#25 0x00007f24dea7b1cd in QLayout::totalSizeHint (this=<value optimized out>) at kernel/qlayout.cpp:840
#26 0x00007f24dea92f40 in QWidget::sizeHint (this=<value optimized out>) at kernel/qwidget.cpp:7848
#27 0x00007f24e0352709 in KDatePicker::sizeHint (this=0x21fe) at ../../kdeui/widgets/kdatepicker.cpp:627
#28 0x00007f24dfbd7552 in KDateCombo::initObject (this=0x2797680, date=...) at ../../src/widgets/kdatecombo.cpp:53
#29 0x00007f24dfbd7702 in KDateCombo (this=0x2797680, parent=<value optimized out>) at ../../src/widgets/kdatecombo.cpp:37
#30 0x00007f24df996fdc in PlaylistBrowserNS::BiasGlobalWidget::makeDateTimeSelection (this=0x408dbf0) at ../../src/browsers/playlistbrowser/DynamicBiasWidgets.cpp:621
#31 0x00007f24df997758 in PlaylistBrowserNS::BiasGlobalWidget::fieldChanged (this=0x408dbf0, i=<value optimized out>) at ../../src/browsers/playlistbrowser/DynamicBiasWidgets.cpp:324
#32 0x00007f24df9978df in PlaylistBrowserNS::BiasGlobalWidget::qt_metacall (this=0x408dbf0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff673dc550)
    at ./DynamicBiasWidgets.moc:313
#33 0x00007f24de0e2dcf in QMetaObject::activate (sender=0x31d9300, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#34 0x00007f24dee15021 in QComboBox::currentIndexChanged (this=0x21fe, _t1=14) at .moc/release-shared/moc_qcombobox.cpp:302
#35 0x00007f24dee1691c in QComboBoxPrivate::_q_emitCurrentIndexChanged (this=0x30e0700, index=...) at widgets/qcombobox.cpp:1235
#36 0x00007f24dee1950f in QComboBoxPrivate::setCurrentIndex (this=0x30e0700, mi=...) at widgets/qcombobox.cpp:1992
#37 0x00007f24dee1964c in QComboBox::setCurrentIndex (this=<value optimized out>, index=14) at widgets/qcombobox.cpp:1975
#38 0x00007f24df992c27 in PlaylistBrowserNS::BiasGlobalWidget::syncControlsToBias (this=0x408dbf0) at ../../src/browsers/playlistbrowser/DynamicBiasWidgets.cpp:238
#39 0x00007f24df998dc0 in BiasGlobalWidget (this=0x408dbf0, bias=<value optimized out>, parent=<value optimized out>) at ../../src/browsers/playlistbrowser/DynamicBiasWidgets.cpp:222
#40 0x00007f24df8c3194 in Dynamic::GlobalBias::widget (this=0x332da60, parent=0x2b0c4a0) at ../../src/dynamic/Bias.cpp:242
#41 0x00007f24df991437 in PlaylistBrowserNS::DynamicBiasModel::setPlaylist (this=0x2b433c0, playlist=<value optimized out>) at ../../src/browsers/playlistbrowser/DynamicBiasModel.cpp:64
#42 0x00007f24df98abb8 in PlaylistBrowserNS::DynamicCategory::playlistSelectionChanged (this=0x2b05a10, index=<value optimized out>) at ../../src/browsers/playlistbrowser/DynamicCategory.cpp:309
#43 0x00007f24df98b4c3 in PlaylistBrowserNS::DynamicCategory::qt_metacall (this=0x2b05a10, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff673dcd60) at ./DynamicCategory.moc:87
#44 0x00007f24de0e2dcf in QMetaObject::activate (sender=0x2b0b6a0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#45 0x00007f24dee15021 in QComboBox::currentIndexChanged (this=0x21fe, _t1=7) at .moc/release-shared/moc_qcombobox.cpp:302
#46 0x00007f24dee1691c in QComboBoxPrivate::_q_emitCurrentIndexChanged (this=0x2b0bb30, index=...) at widgets/qcombobox.cpp:1235
#47 0x00007f24dee1950f in QComboBoxPrivate::setCurrentIndex (this=0x2b0bb30, mi=...) at widgets/qcombobox.cpp:1992
#48 0x00007f24dee1964c in QComboBox::setCurrentIndex (this=<value optimized out>, index=7) at widgets/qcombobox.cpp:1975
#49 0x00007f24dee1e884 in QComboBox::qt_metacall (this=0x2b0b6a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff673dcfe0) at .moc/release-shared/moc_qcombobox.cpp:190
#50 0x00007f24e0350735 in KComboBox::qt_metacall (this=0x21fe, _c=8702, _id=6, _a=0xffffffffffffffff) at ./kcombobox.moc:106
#51 0x00007f24de0e2dcf in QMetaObject::activate (sender=0x20ae730, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#52 0x00007f24df6771e1 in PlaylistBrowserNS::DynamicModel::changeActive (this=0x21fe, _t1=7) at moc_DynamicModel.cpp:114
#53 0x00007f24df984c34 in PlaylistBrowserNS::DynamicModel::saveActive (this=0x20ae730, newTitle=<value optimized out>) at ../../src/browsers/playlistbrowser/DynamicModel.cpp:411
#54 0x00007f24df98b220 in PlaylistBrowserNS::DynamicCategory::save (this=0x2b05a10) at ../../src/browsers/playlistbrowser/DynamicCategory.cpp:334
#55 0x00007f24df98b4dc in PlaylistBrowserNS::DynamicCategory::qt_metacall (this=0x2b05a10, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff673dd410) at ./DynamicCategory.moc:88
#56 0x00007f24de0e2dcf in QMetaObject::activate (sender=0x2b0c7f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3293
#57 0x00007f24df0e4542 in QAbstractButton::clicked (this=0x21fe, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#58 0x00007f24dedfe7db in QAbstractButtonPrivate::emitClicked (this=0x2b0d230) at widgets/qabstractbutton.cpp:546
#59 0x00007f24dedff67b in QAbstractButtonPrivate::click (this=0x2b0d230) at widgets/qabstractbutton.cpp:539
#60 0x00007f24dedff8ec in QAbstractButton::mouseReleaseEvent (this=0x2b0c7f0, e=0x7fff673dde40) at widgets/qabstractbutton.cpp:1121
#61 0x00007f24deecb83a in QToolButton::mouseReleaseEvent (this=0x21fe, e=0x21fe) at widgets/qtoolbutton.cpp:721
#62 0x00007f24dea9f592 in QWidget::event (this=0x2b0c7f0, event=0x7fff673dde40) at kernel/qwidget.cpp:7998
#63 0x00007f24dea4922c in QApplicationPrivate::notify_helper (this=0x1627070, receiver=0x2b0c7f0, e=0x7fff673dde40) at kernel/qapplication.cpp:4300
#64 0x00007f24dea4fedb in QApplication::notify (this=0x7fff673deaf0, receiver=0x2b0c7f0, e=0x7fff673dde40) at kernel/qapplication.cpp:3865
#65 0x00007f24dfaaf37a in App::notify (this=0x21fe, receiver=0x21fe, event=0x6) at ../../src/App.cpp:927
#66 0x00007f24de0cfffc in QCoreApplication::notifyInternal (this=0x7fff673deaf0, receiver=0x2b0c7f0, event=0x7fff673dde40) at kernel/qcoreapplication.cpp:704
#67 0x00007f24dea4f0ae in QCoreApplication::sendEvent (receiver=0x2b0c7f0, event=0x7fff673dde40, alienWidget=0x2b0c7f0, nativeWidget=0x2830e70, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#68 QApplicationPrivate::sendMouseEvent (receiver=0x2b0c7f0, event=0x7fff673dde40, alienWidget=0x2b0c7f0, nativeWidget=0x2830e70, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:2965
#69 0x00007f24deacef75 in QETWidget::translateMouseEvent (this=0x2830e70, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#70 0x00007f24deacd8bc in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fff673de760) at kernel/qapplication_x11.cpp:3501
#71 0x00007f24deaf9722 in x11EventSourceDispatch (s=0x1629df0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#72 0x00007f24d6c6a972 in g_main_dispatch (context=0x1628d20) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:1960
#73 IA__g_main_context_dispatch (context=0x1628d20) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2513
#74 0x00007f24d6c6e7f8 in g_main_context_iterate (context=0x1628d20, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2591
#75 0x00007f24d6c6e9ac in IA__g_main_context_iteration (context=0x1628d20, may_block=1) at /build/buildd/glib2.0-2.23.6/glib/gmain.c:2654
#76 0x00007f24de0f94a3 in QEventDispatcherGlib::processEvents (this=0x14d51c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#77 0x00007f24deaf930e in QGuiEventDispatcherGlib::processEvents (this=0x21fe, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#78 0x00007f24de0ce922 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#79 0x00007f24de0cecfc in QEventLoop::exec (this=0x7fff673dea90, flags=) at kernel/qeventloop.cpp:201
#80 0x00007f24de0d2a3b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#81 0x0000000000408782 in main (argc=1, argv=0x7fff673e0a68) at ../../src/main.cpp:237

Possible duplicates by query: bug 226997, bug 224877, bug 222713, bug 220539, bug 220532.

Reported using DrKonqi
Comment 1 Dario Andres 2010-03-27 23:57:56 UTC
Looks like a bug in Oxygen animations..
Comment 2 Hugo Pereira Da Costa 2010-03-28 06:27:59 UTC
mmm. Very nasty ("smallbin double linked list corrupted"). Valgrind should help.
How often is "some of the time" in terms of crash occurrence ?
Comment 3 Hugo Pereira Da Costa 2010-03-29 02:41:17 UTC
ok. I did my job. Ran valgrind (on "bespin demo" application). 
Made a couple of commits and backported them, (especially one that might have fixed some double deletion of some guy in some rare cases), but all in all, valgrind is pretty happy with oxygen. 

Keep me posted if this still happens with kde4.4.3 (or kde from trunk), or close the bug otherwise.
Comment 4 Marco Martin 2010-05-13 12:10:53 UTC
*** Bug 235489 has been marked as a duplicate of this bug. ***
Comment 5 Hugo Pereira Da Costa 2010-08-26 05:20:20 UTC
Any news on this crash with KDE > 4.4.2 (notably 4.5.0) and/or Qt 4.7.0 ?
Comment 6 Pétur Runólfsson 2010-09-23 21:31:29 UTC
I can't reproduce this anymore with Amarok 2.3.2 on KDE 4.5.1 and QT 4.7.0
Comment 7 Hugo Pereira Da Costa 2010-09-23 21:53:35 UTC
Closing then.